
#include "cluster_reader.h"
#include <iostream>
#include "single_photon_hit.h"
#include <vector>

FILE *f;
int ph_left;
void cpp_open_cluster_file(char *fname, int &ok){
  f=fopen(fname,"r");
  if (f)
    ok=1;
  else
    ok=0;
}

void cpp_close_cluster_file(int &ok){
  if (f){
    fclose(f);
    f=NULL;
    ok=1;
  } else
    ok=0;
  
}



void cpp_read_clusters(int &iiph, std::vector<struct cluster> &v, int &ok, int maxframes) {
  iiph=0;
  int iframe, iff, nph;
  //std::vector<struct cluster> v={};
  struct cluster *clust;
  single_photon_hit cl;
  ph_left=0;

  iff=0;
  ok=0;
  if (f) {
    ok=1;
    while (fread((void*)&iframe, 1,  sizeof(int), f)) {
      if (fread((void*)&nph, 1,  sizeof(int), f)) {
	ph_lft=nph;
	if (nph>0) {
	  for (int iph=0; iph<nph; iph++){ 
	    ph_lft--;
	    if (cl.read(f)) {
	      clust=new cluster;
	      clust->x=cl.x;
	      clust->y=cl.y;
	      for (int ix=0; ix<3; ix++)
		for (int iy=0; iy<3; iy++)
		  clust->data[iy*3+ix]=cl.data[iy*3+ix];
	      v.push_back(*clust);
	      iiph++;
	    }
	  }
	}
      }
      iff++;
      if (maxframes>0 && iff>maxframes)
	break;
    }
  }
  //return v;
}
