#ifndef CLUSTER_READER_H
#define CLUSTER_READER_H
#include <stdint.h>
#include <vector>
#include <cstdio>

struct cluster {
  int16_t x;
  int16_t y;
  //data[iy * 3 + ix ]
  int32_t data[9]; 
} ;

void  cpp_read_clusters(int &iiph, std::vector<struct cluster> &v, int &ok, int maxframes=-1);


void cpp_open_cluster_file(char *fname, int &ok);

void cpp_close_cluster_file(int &ok);

#endif
